Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.utilities
Class BitSetFixed

    java.lang.Object
      java.util.BitSet
          edu.princeton.repeatedgames.rgsolve.utilities.BitSetFixed

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class BitSetFixed

extends java.util.BitSet

An extension of Bitset with a more intuitive `length()` method

See Also:
  Serialized Form

Field Summary
`(package private) int` | `length` the length of this bitset

Constructor Summary
`BitSetFixed(int length)` constructor

Method Summary
`static BitSetFixed` | `getAllTrue(int size)` Returns a BitSetFixed of length size, initialized to all true
`int` | `length()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.BitSet
`and, andNot, cardinality, clear, clear, clear, clone, equals, flip, flip, get, get, hashCode, intersects, isEmpty, nextClearBit, nextSetBit, or, set, set, set, set, size, xor`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### length

    int length

  the length of this bitset

Constructor Detail

### BitSetFixed

    public BitSetFixed(int length)

  constructor

  Parameters:
    `length` - the length

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.BitSet`

### length

    public int length()

  Overrides:
    `length` in class `java.util.BitSet`

### getAllTrue

    public static BitSetFixed getAllTrue(int size)

  Returns a BitSetFixed of length size, initialized to all true

  Parameters:
    `size` -
  Returns:
    the all-true bitset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD